const responsiveWebBase =
  '/learn/responsive-web-design/responsive-web-design-projects';
const jsAlgoBase =
  '/learn/javascript-algorithms-and-data-structures/' +
  'javascript-algorithms-and-data-structures-projects';
const feLibsBase = '/learn/front-end-libraries/front-end-libraries-projects';
const dataVisBase = '/learn/data-visualization/data-visualization-projects';
const apiMicroBase =
  '/learn/apis-and-microservices/apis-and-microservices-projects';
const infoSecBase =
  '/learn/information-security-and-quality-assurance/' +
  'information-security-and-quality-assurance-projects';

export const projectMap = {
  'Responsive Web Design': [
    {
      id: 'bd7158d8c442eddfaeb5bd18',
      title: 'Build a Tribute Page',
      link: `${responsiveWebBase}/build-a-tribute-page`,
      superBlock: 'responsive-web-design'
    },
    {
      id: '587d78af367417b2b2512b03',
      title: 'Build a Survey Form',
      link: `${responsiveWebBase}/build-a-survey-form`,
      superBlock: 'responsive-web-design'
    },
    {
      id: '587d78af367417b2b2512b04',
      title: 'Build a Product Landing Page',
      link: `${responsiveWebBase}/build-a-product-landing-page`,
      superBlock: 'responsive-web-design'
    },
    {
      id: '587d78b0367417b2b2512b05',
      title: 'Build a Technical Documentation Page',
      link: `${responsiveWebBase}/build-a-technical-documentation-page`,
      superBlock: 'responsive-web-design'
    },
    {
      id: 'bd7158d8c242eddfaeb5bd13',
      title: 'Build a Personal Portfolio Webpage',
      link: `${responsiveWebBase}/build-a-personal-portfolio-webpage`,
      superBlock: 'responsive-web-design'
    }
  ],
  'JavaScript Algorithms and Data Structures': [
    {
      id: 'aaa48de84e1ecc7c742e1124',
      title: 'Palindrome Checker',
      link: `${jsAlgoBase}/palindrome-checker`,
      superBlock: 'javascript-algorithms-and-data-structures'
    },
    {
      id: 'a7f4d8f2483413a6ce226cac',
      title: 'Roman Numeral Converter',
      link: `${jsAlgoBase}/roman-numeral-converter`,
      superBlock: 'javascript-algorithms-and-data-structures'
    },
    {
      id: '56533eb9ac21ba0edf2244e2',
      title: 'Caesars Cipher',
      link: `${jsAlgoBase}/caesars-cipher`,
      superBlock: 'javascript-algorithms-and-data-structures'
    },
    {
      id: 'aff0395860f5d3034dc0bfc9',
      title: 'Telephone Number Validator',
      link: `${jsAlgoBase}/telephone-number-validator`,
      superBlock: 'javascript-algorithms-and-data-structures'
    },
    {
      id: 'aa2e6f85cab2ab736c9a9b24',
      title: 'Cash Register',
      link: `${jsAlgoBase}/cash-register`,
      superBlock: 'javascript-algorithms-and-data-structures'
    }
  ],
  'Front End Libraries': [
    {
      id: 'bd7158d8c442eddfaeb5bd13',
      title: 'Build a Random Quote Machine',
      link: `${feLibsBase}/build-a-random-quote-machine`,
      superBlock: 'front-end-libraries'
    },
    {
      id: 'bd7157d8c242eddfaeb5bd13',
      title: 'Build a Markdown Previewer',
      link: `${feLibsBase}/build-a-markdown-previewer`,
      superBlock: 'front-end-libraries'
    },
    {
      id: '587d7dbc367417b2b2512bae',
      title: 'Build a Drum Machine',
      link: `${feLibsBase}/build-a-drum-machine`,
      superBlock: 'front-end-libraries'
    },
    {
      id: 'bd7158d8c442eddfaeb5bd17',
      title: 'Build a JavaScript Calculator',
      link: `${feLibsBase}/build-a-javascript-calculator`,
      superBlock: 'front-end-libraries'
    },
    {
      id: 'bd7158d8c442eddfaeb5bd0f',
      title: 'Build a Pomodoro Clock',
      link: `${feLibsBase}/build-a-pomodoro-clock`,
      superBlock: 'front-end-libraries'
    }
  ],
  'Data Visualization': [
    {
      id: 'bd7168d8c242eddfaeb5bd13',
      title: 'Visualize Data with a Bar Chart',
      link: `${dataVisBase}/visualize-data-with-a-bar-chart`,
      superBlock: 'data-visualization'
    },
    {
      id: 'bd7178d8c242eddfaeb5bd13',
      title: 'Visualize Data with a Scatterplot Graph',
      link: `${dataVisBase}/visualize-data-with-a-scatterplot-graph`,
      superBlock: 'data-visualization'
    },
    {
      id: 'bd7188d8c242eddfaeb5bd13',
      title: 'Visualize Data with a Heat Map',
      link: `${dataVisBase}/visualize-data-with-a-heat-map`,
      superBlock: 'data-visualization'
    },
    {
      id: '587d7fa6367417b2b2512bbf',
      title: 'Visualize Data with a Choropleth Map',
      link: `${dataVisBase}/visualize-data-with-a-choropleth-map`,
      superBlock: 'data-visualization'
    },
    {
      id: '587d7fa6367417b2b2512bc0',
      title: 'Visualize Data with a Treemap Diagram',
      link: `${dataVisBase}/visualize-data-with-a-treemap-diagram`,
      superBlock: 'data-visualization'
    }
  ],
  "API's and Microservices": [
    {
      id: 'bd7158d8c443edefaeb5bdef',
      title: 'Timestamp Microservice',
      link: `${apiMicroBase}/timestamp-microservice`,
      superBlock: 'apis-and-microservices'
    },
    {
      id: 'bd7158d8c443edefaeb5bdff',
      title: 'Request Header Parser Microservice',
      link: `${apiMicroBase}/request-header-parser-microservice`,
      superBlock: 'apis-and-microservices'
    },
    {
      id: 'bd7158d8c443edefaeb5bd0e',
      title: 'URL Shortener Microservice',
      link: `${apiMicroBase}/url-shortener-microservice`,
      superBlock: 'apis-and-microservices'
    },
    {
      id: '5a8b073d06fa14fcfde687aa',
      title: 'Exercise Tracker',
      link: `${apiMicroBase}/exercise-tracker`,
      superBlock: 'apis-and-microservices'
    },
    {
      id: 'bd7158d8c443edefaeb5bd0f',
      title: 'File Metadata Microservice',
      link: `${apiMicroBase}/file-metadata-microservice`,
      superBlock: 'apis-and-microservices'
    }
  ],
  'Information Security And Quality Assurance': [
    {
      id: '587d8249367417b2b2512c41',
      title: 'Metric-Imperial Converter',
      link: `${infoSecBase}/metric-imperial-converter`,
      superBlock: 'information-security-and-quality-assurance'
    },
    {
      id: '587d8249367417b2b2512c42',
      title: 'Issue Tracker',
      link: `${infoSecBase}/issue-tracker`,
      superBlock: 'information-security-and-quality-assurance'
    },
    {
      id: '587d824a367417b2b2512c43',
      title: 'Personal Library',
      link: `${infoSecBase}/personal-library`,
      superBlock: 'information-security-and-quality-assurance'
    },
    {
      id: '587d824a367417b2b2512c44',
      title: 'Stock Price Checker',
      link: `${infoSecBase}/stock-price-checker`,
      superBlock: 'information-security-and-quality-assurance'
    },
    {
      id: '587d824a367417b2b2512c45',
      title: 'Anonymous Message Board',
      link: `${infoSecBase}/anonymous-message-board`,
      superBlock: 'information-security-and-quality-assurance'
    }
  ]
};
